#!/usr/bin/perl
use DBI;
my $dsn = "DBI:DBDRIVER:database=DBNAME;host=localhost";
my $dbh = DBI->connect($dsn, 'username', 'password', 
				{RaiseError => 1}) ||
die $DBI::errstr;
my $sth = $dbh->prepare(qq{ SELECT param, value FROM chart });

$sth->execute  || die "Error fetching data: $DBI::errstr";
@val = ();
@txt = ();
while (my ($param, $value) = $sth->fetchrow_array) {
    	push(@val, $value);
	push(@txt, $param);
}
@parm = ();
$J=0;
for ($I=0; $I<5;$I++) {
	$J=$I+1;
	if ($txt[$I] ne "") {
   		push(@parm, "<PARAM NAME=\"text_$J\" VALUE=\"$txt[$I]\"><PARAM NAME=\"value_$J\" VALUE=\"$val[$I]\">");
	}
}
print "Content-type:text/html\n\n";
print <<EndHTML;
<HTML>
<BODY>
<APPLET CODE="HanengCharts.class" ARCHIVE="HanengCharts3.jar" WIDTH=460 HEIGHT=260>
<PARAM NAME="LicenseKey" VALUE="DEMO-DTKTG2s3R8xNVzNVFxN">
<PARAM NAME="ChartType" VALUE="pie">
$parm[0]
$parm[1]
$parm[2]
$parm[3]
$parm[4]
</APPLET>
</BODY>
</HTML>

EndHTML
$dbh->disconnect;
